J=1;
R=2;
k=1;
beta=0.5;

% Stato: x=[theta,omega]
A=[0 1;
   0 -(k^2/R+beta)/J];
B=[0;k/J/R];
C=[1 0];
D=0;

sys=ss(A,B,C,D);

ts=0.5; % Tempo di campionamento

sysd=c2d(sys,ts);
[Az,Bz,C,D]=ssdata(sysd);

% Controllore
polidiscreto=[0 0];
K=-acker(Az,Bz,polidiscreto); % Nota: PLACE non funziona

x0=[10 10]'; 

open('deadbeat_motore_dc_s')
T=10;
sim('deadbeat_motore_dc_s',T)


% Cambia sfondo agli Scope
scopes = find_system(bdroot,'BlockType','Scope');
for i = 1:length(scopes)
   h = get_param(scopes{i,:},'Figure');
   %set(h,'Color',[.8 .8 .8]);
    h1 = findobj(h,'Type','axes');
    set(h1,'Color',[.8 .8 .8]);
    h1 = findobj(h,'Type','line');
    set(h1,'Color',[0 0 1],'LineWidth',2.0);
 end
